/* ************************************************************************** */
/*                                       _____           _                    */
/*  libp7/internals/stdio_ext.h         |_   _|__  _   _| |__   ___ _   _     */
/*  | Project: libp7                      | |/ _ \| | | | '_ \ / _ \ | | |    */
/*                                        | | (_) | |_| | | | |  __/ |_| |    */
/*  By: thomas <thomas@touhey.fr>         |_|\___/ \__,_|_| |_|\___|\__, |.fr */
/*  Last updated: 2017/01/04 15:01:48                               |___/     */
/*                                                                            */
/* ************************************************************************** */
#ifndef LIBP7_INTERNALS_STDIO_EXT_H
# define LIBP7_INTERNALS_STDIO_EXT_H

/* MS-Windows stuff */
# if (defined(_WIN16) || defined(_WIN32) || defined(_WIN64)) \
	&& !defined(__WINDOWS__)
#  define __WINDOWS__
# endif

/*	Ever heard of how annoying it is to make something platform-agnostic? */
# ifndef __linux__
#  define __freadable(F) (1)
#  define __fwritable(F) (1)
# else
#  include <stdio_ext.h>
# endif

#endif /* LIBP7_INTERNALS_STDIO_EXT_H */
